GLSA-200909-10 : LMBench: Insecure temporary file usage

Medium Nessus Plugin ID 40918


The remote Gentoo host is missing one or more security-related patches.


The remote host is affected by the vulnerability described in GLSA-200909-10 (LMBench: Insecure temporary file usage)

Dmitry E. Oboukhov reported that the rccs and STUFF scripts do not handle '/tmp/sdiff.#####' temporary files securely. NOTE: There might be further occurances of insecure temporary file usage.
Impact :

A local attacker could perform symlink attacks to overwrite arbitrary files with the privileges of the user running the application.
Workaround :

There is no known workaround at this time.


LMBench has been removed from Portage. We recommend that users unmerge LMBench:
# emerge --unmerge app-benchmarks/lmbench

See Also

Plugin Details

Severity: Medium

ID: 40918

File Name: gentoo_GLSA-200909-10.nasl

Version: $Revision: 1.8 $

Type: local

Published: 2009/09/10

Modified: 2015/04/13

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.9

Vector: CVSS2#AV:L/AC:M/Au:N/C:C/I:C/A:C

Vulnerability Information

CPE: p-cpe:/a:gentoo:linux:lmbench, cpe:/o:gentoo:linux

Required KB Items: Host/local_checks_enabled, Host/Gentoo/release, Host/Gentoo/qpkg-list

Patch Publication Date: 2009/09/09

Reference Information

CVE: CVE-2008-4968

OSVDB: 49654, 49655

GLSA: 200909-10

CWE: 59